lzma_encoder.h File Reference

LZMA encoder API. More...

`#include "common.h"`

## Typedefs

typedef struct lzma_lzma1_encoder_s | lzma_lzma1_encoder

## Functions

lzma_ret | lzma_lzma_encoder_init (lzma_next_coder *next, const lzma_allocator *allocator, const lzma_filter_info *filters)
uint64_t | lzma_lzma_encoder_memusage (const void *options)
lzma_ret | lzma_lzma_props_encode (const void *options, uint8_t *out)
bool | lzma_lzma_lclppb_encode (const lzma_options_lzma *options, uint8_t *byte)
| Encodes lc/lp/pb into one byte. Returns false on success and true on error. More...

## Detailed Description

LZMA encoder API.

## Function Documentation

## lzma_lzma_lclppb_encode()

bool lzma_lzma_lclppb_encode | ( | const lzma_options_lzma * | options,
|  | uint8_t * | byte
| ) |  |

Encodes lc/lp/pb into one byte. Returns false on success and true on error.

References is_lclppb_valid(), lzma_options_lzma::lc, lzma_options_lzma::lp, and lzma_options_lzma::pb.